Subject: 24.4; python.el: [RFE] add customization option for send-main

From: [email-masked] (Fabián Ezequiel Gallina)
Date: Fri, 30 Jan 2015 01:23:30 -0300

Hi Carlos,

I agree that the least surprising thing to do would be to send the
"if-name-main" block, but in the other hand this block generally
contains the execution code for the module and when working on it you
generally don't want to send that to the shell (one of the reasons may
be safety).  So I think the current way of enabling this by just adding
a prefix argument to `python-shell-send*` commands is better than adding
yet another customization.

Cheers,
Fabián